/**
 * 拣配查询表格列
 */
import vm from '@/main';
export const headers = [
  {
    label: vm.$t('message.Pi_OrderNo'),
    key: 'prdOrder', //订单号
    width: 250,
  },
  {
    label: vm.$t('message.po_DemandQuantity'),
    key: 'amount', //需求数量
    width: 255,
  },
  {
    label: vm.$t('message.Pi_materielNo'),
    key: 'materialCode', //物料号
    width: 250,
  },
  {
    label: vm.$t('message.CommissionedMaterielDesc'),
    key: 'materialDesc', //物料描述
    width: 300,
  },
];

/**
 * 拣配查询结果表格列
 */
export const resultHeaders = [
  {
    label: vm.$t('message.po_MaterielNo'),
    key: 'materialCode',
    width: 220,
  },
  {
    label: vm.$t('message.po_DemandQuantity'),
    key: 'amount',
  },
  {
    label: vm.$t('message.Pi_CumulativePickingQuantity'),
    key: 'totalMoAmount',
    width: 300,
  },
  {
    label: vm.$t('message.Pi_HandoverQuantity'),
    key: 'totalHvAmount',
  },
  {
    label: vm.$t('message.Pi_factory'),
    key: 'sapFactoryCode',
  },
  {
    label: vm.$t('message.Pi_Station'),
    key: 'sendSpot',
  },
  {
    label: vm.$t('message.po_MaterielDes'),
    key: 'materialDesc',
    width: 350,
  },
  {
    label: 'MRP',
    key: 'mrpCode',
  },
  {
    label: vm.$t('message.Pi_unit'),
    key: 'unit',
  },
  {
    label: vm.$t('message.Pi_OrderNo'),
    key: 'prdOrder',
  },
  {
    label: vm.$t('message.Pi_FinishedProductModel'),
    key: 'prdMaterialDesc',
    width: 300,
  },
  {
    label: vm.$t('message.po_Location'),
    key: 'wkposCode',
  },
];

/**
 * 汇总拣配表格列
 */
export const summaryHeaders = [
  {
    label: vm.$t('message.po_MaterielNo'),
    key: 'materialCode',
    width: 220,
  },
  {
    label: vm.$t('message.po_DemandQuantity'),
    key: 'amount',
  },
  {
    label: vm.$t('message.Pi_CurrentPickingQuantity'),
    key: 'currentAmount',
    width: 300,
  },
  {
    label: vm.$t('message.Pi_PickedQuantity'),
    key: 'totalMoAmount',
  },
  {
    label: vm.$t('message.Pi_QuantityHandedOver'),
    key: 'totalHvAmount',
  },
  {
    label: vm.$t('message.po_Location'),
    // key: 'currentWkposCode',
    key: 'wkposCode',
  },
  {
    label: vm.$t('message.po_MaterielDes'),
    key: 'materialDesc',
    width: 350,
  },
  {
    label: vm.$t('message.Pi_unit'),
    key: 'unit',
  },
  // {
  //   label: '成品型号',
  //   key: 'prdMaterialDesc',
  //   width: 300,
  // },
  // {
  //   label: '工位',
  //   key: 'sendSpot',
  // },
  // {
  //   label: '工厂',
  //   key: 'sapFactoryCode',
  // },
];

/**
 * 按单拣配表格列
 */
export const orderHeaders = [
  {
    label: vm.$t('message.po_MaterielNo'),
    key: 'materialCode',
    width: 220,
  },
  {
    label: vm.$t('message.po_DemandQuantity'),
    key: 'amount',
  },
  {
    label: vm.$t('message.Pi_CurrentPickingQuantity'),
    key: 'currentAmount',
    width: 300,
  },
  {
    label: vm.$t('message.Pi_PickedQuantity'),
    key: 'totalMoAmount',
  },
  {
    label: vm.$t('message.Pi_QuantityHandedOver'),
    key: 'totalHvAmount',
  },
  {
    label: vm.$t('message.po_Location'),
    // key: 'currentWkposCode',
    //key: 'wkposCode',
    key: 'sendSpot',
  },
  {
    label: vm.$t('message.po_MaterielDes'),
    key: 'materialDesc',
    width: 350,
  },
  {
    label: vm.$t('message.Pi_unit'),
    key: 'unit',
  },
  {
    label: vm.$t('message.Pi_FinishedProductModel'),
    key: 'prdMaterialDesc',
    width: 300,
  },
  {
    label: vm.$t('message.Pi_factory'),
    key: 'sapFactoryCode',
  },
  {
    label: vm.$t('message.Pi_Station'),
    //key: 'sendSpot',
    key: 'wkposCode',
  },
  {
    label: vm.$t('message.Pi_OrderNo'),
    key: 'prdOrder',
  },
];

export const Headers = [
  {
    label: vm.$t('message.po_MaterielNo'),
    key: 'materialCode',
    width: 220,
  },
  {
    label: vm.$t('message.po_DemandQuantity'),
    key: 'amount',
  },
  {
    label: vm.$t('message.Pi_CurrentPickingQuantity'),
    key: 'operatorAmount', //本次拣配数量
    width: 300,
  },
  {
    label: vm.$t('message.po_Location'),
    // key: 'currentWkposCode',
    key: 'originLocation',
  },
  {
    label: vm.$t('message.po_MaterielDes'),
    key: 'materialDesc',
    width: 350,
  },
  {
    label: vm.$t('message.Pi_unit'),
    key: 'unit',
  },
  {
    label: vm.$t('message.Pi_factory'),
    key: 'sapFactoryCode',
  },
  {
    label: vm.$t('message.Pi_Station'),
    key: 'sendSpot',
  },
  {
    label: vm.$t('message.Pi_OrderNo'),
    key: 'prdOrder',
  },
  {
    label: vm.$t('message.CommissionedLocation'),
    key: 'wlCode',
  },
];
